Subject: AW: [Enum] enumservices in new version of 2916bis

From: Brandner Rudolf <[email-masked]>
Date: Mon, 1 Jul 2002 20:51:07 +0200

Hi Bob,

first I'd like to cite Lawrence Conroy:

> Von: Lawrence Conroy [mailto:[email-masked]]
> Gesendet: Freitag, 28. Juni 2002 13:15
> An: [email-masked]
> Betreff: Re: [ENUM] service field in rfc2916bis
> 
> 
> Hi Folks,
>    In answer to Rich's question - "are we close"? I think so, but 
> using the earlier BNF roughtly like this:
>     servicefield = "E2U" ("-" <uri-scheme>) [*("+" <enumservice>)]
>     <uri-scheme> is a URI scheme label registered in an RFC 
> as defined 
> according to RFC2717 section 4.
>          In the case of a non-terminal NAPTR only, 
> <uri-scheme> is empty.
>     <enumservice> is an enumservice label registered in an RFC as 
> defined according to 2916 section 3.
> Note that in this BNF the URI-scheme is a separate sub-field.

Following might serve as an example:

servicefield : "E2U" ("-" uri-scheme) *("+" enumservice) ["*" addinfo]
uri-scheme   : "tel" | "mailto" | "sip" | "ldap" | ...more according to category-ID...
enumservice  : "voice" | "video" | "email" | "sms" | "mms" | "talk" | "msg" | ....more according to category-ID....
addinfo      : "home" | "business" | "mobile" | other
other        : <TOKEN>

The addinfo is just additional information and is thought to be passed to a user (if there) as a FYI.

BTW: I'd like to note, that we are thinking about x- experimenatal enumservice and know that there is resistance against this in some places.

Hope this answeres your questions.

Rudi

> -----Ursprüngliche Nachricht-----
> Von: Robert H. Walter [mailto:[email-masked]]
> Gesendet: Montag, 1. Juli 2002 15:50
> An: Brandner Rudolf
> Cc: [email-masked]
> Betreff: RE: [Enum] enumservices in new version of 2916bis
> 
> 
> Rudolf,
> 
> The [] around the enumservice production are unnecessary since *()
> already specifies that there are to be zero or more.  Using formal
> ABNF, I'm assuming that you actually mean the following:
> 
> servicefield = "E2U" ("-" uri-scheme) *("+" enumservice) ["*" addinfo]
> 
> Can you provide the complete ABNF defining the uri-scheme, enumservice
> and addinfo productions?  In particular what is addinfo and how is it
> to be used?
> 
> Thank you,
> 
> Bob Walter
> NetNumber, Inc.
> 
> > -----Original Message-----
-----[snipp]-----

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum